Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar
Class DataExp

    java.lang.Object
      com.sun.msv.grammar.Expression
          com.sun.msv.grammar.DataExp

All Implemented Interfaces:
  DataOrValueExp, java.io.Serializable

public final class DataExp
extends Expression
implements DataOrValueExp

Expression that matchs characters of the particular `Datatype`.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary
`Datatype` | `dt` datatype object that actually validates text.
`Expression` | `except` 'except' clause of RELAX NG.
`StringPair` | `name` name of this datatype.

Fields inherited from class com.sun.msv.grammar.Expression
`anyString, epsilon, nullSet, verifierTag`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`StringPair` | `getName()`
`Datatype` | `getType()`
`java.lang.Object` | `visit(ExpressionVisitor visitor)`
`boolean` | `visit(ExpressionVisitorBoolean visitor)`
`Expression` | `visit(ExpressionVisitorExpression visitor)`
`void` | `visit(ExpressionVisitorVoid visitor)`

Methods inherited from class com.sun.msv.grammar.Expression
`getExpandedExp, hashCode, isEpsilonReducible, peelOccurence, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dt

    public final Datatype dt

  datatype object that actually validates text.

### name

    public final StringPair name

  name of this datatype. The value of this field is not considered as significant. When two TypedStringExps share the same Datatype object, then they are unified even if they have different names.

### except

    public final Expression except

  'except' clause of RELAX NG. If a token matches this pattern, then it should be rejected.

Method Detail

### getType

    public Datatype getType()

  Specified by:
    `getType` in interface `DataOrValueExp`

### getName

    public StringPair getName()

  Specified by:
    `getName` in interface `DataOrValueExp`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in class `Expression`

### visit

    public java.lang.Object visit(ExpressionVisitor visitor)

  Specified by:
    `visit` in class `Expression`

### visit

    public Expression visit(ExpressionVisitorExpression visitor)

  Specified by:
    `visit` in class `Expression`

### visit

    public boolean visit(ExpressionVisitorBoolean visitor)

  Specified by:
    `visit` in class `Expression`

### visit

    public void visit(ExpressionVisitorVoid visitor)

  Specified by:
    `visit` in class `Expression`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD